curl --request PATCH \
--url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"active": true
}'{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Mettre à jour un abonnement à un événement existant par ID.
curl --request PATCH \
--url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"active": true
}'{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
L'identifiant de l'application.
L'identifiant de l'abonnement.
Un booléen indiquant si l'abonnement est actif. Si la valeur est vraie, l'abonnement est actif ; si elle est fausse, il est inactif.
successful operation
Un booléen indiquant si l'abonnement est actuellement actif.
La date et l'heure de création de l'abonnement, au format ISO 8601.
Le type d'événement qui déclenche l'abonnement. Les valeurs valides incluent diverses modifications de propriétés, créations, suppressions, fusions, restaurations et modifications d'associations pour différents objets HubSpot.
company.associationChange, company.creation, company.deletion, company.merge, company.propertyChange, company.restore, contact.associationChange, contact.creation, contact.deletion, contact.merge, contact.privacyDeletion, contact.propertyChange, contact.restore, conversation.creation, conversation.deletion, conversation.newMessage, conversation.privacyDeletion, conversation.propertyChange, deal.associationChange, deal.creation, deal.deletion, deal.merge, deal.propertyChange, deal.restore, event.completed, line_item.associationChange, line_item.creation, line_item.deletion, line_item.merge, line_item.propertyChange, line_item.restore, object.associationChange, object.creation, object.deletion, object.merge, object.propertyChange, object.restore, product.creation, product.deletion, product.merge, product.propertyChange, product.restore, ticket.associationChange, ticket.creation, ticket.deletion, ticket.merge, ticket.propertyChange, ticket.restore L'identifiant unique de l'abonnement. Il s'agit d'un entier formaté en int64.
Le nom du type d'événement pour l'abonnement.
L'identifiant du type d'objet associé à l'abonnement. Il s'agit d'une chaîne de caractères.
Le nom de la propriété associée à l'événement d'abonnement, le cas échéant.
La date et l'heure de la dernière mise à jour de l'abonnement, au format ISO 8601.